Subject: [Megaco] Reply for Service change restart with service change delay

From: Tamar Nemet <[email-masked]>
Date: Wed, 6 Jul 2005 12:07:18 +0300

Hello,
 
If the MGC is sending service change with service change delay to the MG ,
when should the MG send the reply to this message ? 
immediately or only after the delay?
 
What can be the reason for sending service change with a delay ?
 
Thanks,
Tamar
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Kevin Boyle" <[email-masked]>
Date: Wed, 6 Jul 2005 18:06:09 -0400

Aha.  I missed the point of the MGC sending a delay.

I am not sure that I can concoct something off the top of my head that
would show delay to be useful for the MGC... Other than it may want to
leave the termination IS for some set amount of time.  The MGs job is as
you describe -- set the term OOS.  Other than that, it must wait for the
MGC to remove it from context.

MGs are always allowed to NACK commands if they cannot comply.  This is
not a pass to the vendor to just skip part of the protocol -- SC with
delay is allowed in the MGC to MG direction and the MG vendor should
support that function.  But if the MG has a legitimate reason that it
cannot execute the command, then it may NACK.

Kevin

-----Original Message-----
From: Kapil Nayar [mailto:[email-masked]]
Sent: Wednesday, July 06, 2005 5:21 PM
To: Boyle, Kevin [NCRTP:3Z40:EXCH]
Subject: RE: [Megaco] Reply for Service change restart with service
change delay

Hi Kevin

".....where the delay indicates how long to allow the termination to
remain in context prior to forcing it out of service"

Just to clarify further - the MG shall only force the termination out of
service upon completion of the indicated delay time but the termination
shall still remain in the context. It is only the MGC which can remove
the termination from the context through a SUBTRACT command. So, in
effect after the delay time MG will have an out-of-service termination
in a valid context.

Kevin, in this situation would it be appropriate for the MG to send a
ServiceChange as and when the delay expires and the termination is
brought out of service to help the MGC start SUBTRACTing the termination
from the context. I am just trying to understand the reason why MGC
needs to send a Service Change with delay on a termination in a valid
context - what type of action/ processing can be anticipated at the MG's
(slave's)end other than starting a timer and putting the termination
out-of-service upon its expiry.

Can there be a situation that MG sends an error response to this Service
Change request.

thanks,
-kapil

--- Kevin Boyle <[email-masked]> wrote:

> The response is sent upon completion of processing of the command, not

> after the delay expires.
>  
> There are many reasons why you would want a delay. 
> Graceful is the most
> common, where the delay indicates how long to allow the termination to

> remain in context prior to forcing it out of service.  Scheduled 
> maintenance is one possibility here.
>  
> Kevin
> 
> 
> ________________________________
> 
> 	From: [email-masked]
> [mailto:[email-masked]]
> On Behalf Of Tamar Nemet
> 	Sent: Wednesday, July 06, 2005 5:07 AM
> 	To: [email-masked]'
> 	Cc: Mendelevich, Victoria [Business:TELRD:TELRD]; Mazorov, Rima 
> [Business:TELRD:TELRD]
> 	Subject: [Megaco] Reply for Service change restart with service 
> change delay
> 	
> 	
> 	 
> 	Hello,
> 	 
> 	If the MGC is sending service change with service change delay
to the 
> MG , when should the MG send the reply to this message ?

___________________________________________________________
Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with
voicemail http://uk.messenger.yahoo.com